pkgsrc/net/ja-samba/files/deluser.sh
taca ee9ace7941 Update ja-samba package to 2.2.9.1.0 (samba-2.2.9-ja-1.0).
- Introduce adduser/deluser script from samba2 package.
- Here is changes:

              Changelog of Samba2.2 Japanese Edition

                                                    Samba Users Group Japan

   Here is the fix list of Samba2.2 Japanese Edition.
   The sign of each line means:

   *: Fix of Samba Japanese Edition only
   x: Fix of sending a patch to Samba Team
   c: Fix of being commited a patch by Samba Team
   o: Fix of adopting a patch created by Samba team

samba-2.2.8a-ja-1.2alpha3
~~~~~~~~~~~~~~~~~~~~~~~~~
      o Fixed oplocks problem for Linux kernel 2.4 or later
                                                          [sugj-tech:6096]

samba-2.2.8a-ja-1.2alpha2
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Support Kerberos V not only for FreeBSD           [sugj-tech:6030]
      * Adjust some directory specifications for RPM      [sugj-tech:6029]
      * Fixed unavailable winbind auth problem on FreeBSD [sugj-tech:6049]
      * Fixed smbwrapper.64.so problem for 64bit Solaris  [sugj-tech:6048]

   Changes to the original version
      * Suppressed abortion in some commands when resolve order is specified
                                                          [sugj-tech:6031]
      * Fixed unchangeable password problem when Samba is PDC for BSDish OS
                                                          [sugj-tech:6073]

samba-2.2.8a-ja-1.2alpha1
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed unavailable Japanese problem for username in username map
                                                          [samba-jp:15437]

   Changes to the original version
      * Fixed build problem with Mac OS X                 [samba-jp:15461]
      * Fixed unaccessable problem in BSD/OS, Mac OS X    [samba-jp:15472]
2004-06-05 13:16:35 +00:00

68 lines
1 KiB
Bash

#!/bin/sh
#
# $NetBSD: deluser.sh,v 1.1 2004/06/05 13:16:35 taca Exp $
#
# This is a deluser script for NetBSD systems whose userdel(8) doesn't
# accept "$" in the username.
awkprog="@AWK@"
mktempprog="@MKTEMP@"
pwdmkdbprog="@PWD_MKDB@"
rmprog="@RM@"
progname=deluser
usage() {
echo "Usage: $progname [-n] name"
exit 1
}
doit=""
while getopts n flag; do
case $flag in
n) doit=":" ;;
esac
done
shift `expr $OPTIND - 1`
if [ $# -lt 1 ]; then
usage
fi
name="$1"
case "$name" in
*:*)
echo "$progname: \`$name' is not a valid user name" 1>&2
exit 1
esac
ptmp=`$mktempprog -q /etc/ptmp`
case "$ptmp" in
/etc/ptmp)
;;
*)
echo "$progname: can't create /etc/ptmp" 1>&2
exit 1
;;
esac
if [ ! -f /etc/master.passwd ]; then
echo "$progname: /etc/master.passwd not found" 1>&2
$rmprog -f $ptmp
exit 1
fi
$awkprog -v name="${name}" ' \
BEGIN { FS = ":" } \
{ \
if ($1 != name) \
print $0; \
}' /etc/master.passwd > $ptmp
$doit $pwdmkdbprog -p $ptmp
rc=$?
$rmprog -f $ptmp
exit $rc